if (!defined &termio_h) {
    eval 'sub termio_h {1;}';
    eval 'sub NCC {8;}';
    if (! &KERNEL ||  &defined_io) {
	eval 'sub VINTR {0;}';
	eval 'sub VQUIT {1;}';
	eval 'sub VERASE {2;}';
	eval 'sub VKILL {3;}';
	eval 'sub VEOF {4;}';
	eval 'sub VEOL {5;}';
	eval 'sub VEOL2 {6;}';
	eval 'sub VMIN {4;}';
	eval 'sub VTIME {5;}';
	eval 'sub CNUL {0;}';
	eval 'sub CDEL {0377;}';
	eval 'sub CESC {ord(\'\\\\\');}';
	eval 'sub CINTR {0177;}';
	eval 'sub CQUIT {034;}';
	eval 'sub CERASE {ord(\'\\b\');}';
	eval 'sub CKILL {ord(\'@\');}';
	eval 'sub CEOF {04;}';
	eval 'sub CSTART {021;}';
	eval 'sub CSTOP {023;}';
	eval 'sub IGNBRK {0000001;}';
	eval 'sub BRKINT {0000002;}';
	eval 'sub IGNPAR {0000004;}';
	eval 'sub PARMRK {0000010;}';
	eval 'sub INPCK {0000020;}';
	eval 'sub ISTRIP {0000040;}';
	eval 'sub INLCR {0000100;}';
	eval 'sub IGNCR {0000200;}';
	eval 'sub ICRNL {0000400;}';
	eval 'sub IUCLC {0001000;}';
	eval 'sub IXON {0002000;}';
	eval 'sub IXANY {0004000;}';
	eval 'sub IXOFF {0010000;}';
	eval 'sub OPOST {0000001;}';
	eval 'sub OLCUC {0000002;}';
	eval 'sub ONLCR {0000004;}';
	eval 'sub OCRNL {0000010;}';
	eval 'sub ONOCR {0000020;}';
	eval 'sub ONLRET {0000040;}';
	eval 'sub OFILL {0000100;}';
	eval 'sub OFDEL {0000200;}';
	eval 'sub NLDLY {0000400;}';
	eval 'sub NL0 {0;}';
	eval 'sub NL1 {0000400;}';
	eval 'sub CRDLY {0003000;}';
	eval 'sub CR0 {0;}';
	eval 'sub CR1 {0001000;}';
	eval 'sub CR2 {0002000;}';
	eval 'sub CR3 {0003000;}';
	eval 'sub TABDLY {0014000;}';
	eval 'sub TAB0 {0;}';
	eval 'sub TAB1 {0004000;}';
	eval 'sub TAB2 {0010000;}';
	eval 'sub TAB3 {0014000;}';
	eval 'sub BSDLY {0020000;}';
	eval 'sub BS0 {0;}';
	eval 'sub BS1 {0020000;}';
	eval 'sub VTDLY {0040000;}';
	eval 'sub VT0 {0;}';
	eval 'sub VT1 {0040000;}';
	eval 'sub FFDLY {0100000;}';
	eval 'sub FF0 {0;}';
	eval 'sub FF1 {0100000;}';
	eval 'sub CBAUD {0000017;}';
	eval 'sub B0 {0;}';
	eval 'sub B50 {0000001;}';
	eval 'sub B75 {0000002;}';
	eval 'sub B110 {0000003;}';
	eval 'sub B134 {0000004;}';
	eval 'sub B150 {0000005;}';
	eval 'sub B200 {0000006;}';
	eval 'sub B300 {0000007;}';
	eval 'sub B600 {0000010;}';
	eval 'sub B1200 {0000011;}';
	eval 'sub B1800 {0000012;}';
	eval 'sub B2400 {0000013;}';
	eval 'sub B4800 {0000014;}';
	eval 'sub B9600 {0000015;}';
	eval 'sub B19200 {0000016;}';
	eval 'sub B38400 {0000017;}';
	eval 'sub EXTA { &B19200;}';
	eval 'sub EXTB {0000017;}';
	eval 'sub CSIZE {0000060;}';
	eval 'sub CS5 {0;}';
	eval 'sub CS6 {0000020;}';
	eval 'sub CS7 {0000040;}';
	eval 'sub CS8 {0000060;}';
	eval 'sub CSTOPB {0000100;}';
	eval 'sub CREAD {0000200;}';
	eval 'sub PARENB {0000400;}';
	eval 'sub PARODD {0001000;}';
	eval 'sub HUPCL {0002000;}';
	eval 'sub CLOCAL {0004000;}';
	eval 'sub CTSCD {0010000;}';
	eval 'sub HDX {0020000;}';
	eval 'sub ISIG {0000001;}';
	eval 'sub ICANON {0000002;}';
	eval 'sub XCASE {0000004;}';
	eval 'sub ECHO {0000010;}';
	eval 'sub ECHOE {0000020;}';
	eval 'sub ECHOK {0000040;}';
	eval 'sub ECHONL {0000100;}';
	eval 'sub NOFLSH {0000200;}';
	eval 'sub SSPEED { &B9600;}';
    }
    if (! &KERNEL ||  &defined_io) {
	eval 'sub IOCTYPE {0xff00;}';
	eval 'sub TIOC {(ord(\'T\')<<8);}';
	eval 'sub TCGETA {( &TIOC|1);}';
	eval 'sub TCSETA {( &TIOC|2);}';
	eval 'sub TCSETAW {( &TIOC|3);}';
	eval 'sub TCSETAF {( &TIOC|4);}';
	eval 'sub TCSBRK {( &TIOC|5);}';
	eval 'sub TCXONC {( &TIOC|6);}';
	eval 'sub TCFLSH {( &TIOC|7);}';
	eval 'sub TCSRTS {( &TIOC|8);}';
	eval 'sub TCSVBRK {( &TIOC|9);}';
	eval 'sub TCDSET {( &TIOC|32);}';
	eval 'sub RTS_TOG {( &TIOC|10);}';
	eval 'sub LDIOC {(ord(\'D\')<<8);}';
	eval 'sub LDOPEN {( &LDIOC|0);}';
	eval 'sub LDCLOSE {( &LDIOC|1);}';
	eval 'sub LDCHG {( &LDIOC|2);}';
	eval 'sub LDGETT {( &LDIOC|8);}';
	eval 'sub LDSETT {( &LDIOC|9);}';
	eval 'sub TERM_NONE {0;}';
	eval 'sub TERM_TEC {1;}';
	eval 'sub TERM_V61 {2;}';
	eval 'sub TERM_V10 {3;}';
	eval 'sub TERM_TEX {4;}';
	eval 'sub TERM_D40 {5;}';
	eval 'sub TERM_H45 {6;}';
	eval 'sub TERM_D42 {7;}';
	eval 'sub TM_NONE {0000;}';
	eval 'sub TM_SNL {0001;}';
	eval 'sub TM_ANL {0002;}';
	eval 'sub TM_LCF {0004;}';
	eval 'sub TM_CECHO {0010;}';
	eval 'sub TM_CINVIS {0020;}';
	eval 'sub TM_SET {0200;}';
    }
    eval 'sub TERM_NONE {0;}';
    eval 'sub TM_NONE {0000;}';
}
1;
